<!-- -------------------- ./mgmt/doslist_sig.html -------------------- -->

<?php include "snippets/header-new.html"; ?>

<main class="os-main-content">
  <div class="fr-grid-row fr-grid-row--gutters">
    <div class="fr-col-12">
      <section class="os-table-wrapper fr-container--fluid">
        <header class="os-main-content__header os-table-wrapper__header">
          <div class="fr-grid-row">
            <div class="fr-col">
              <h2 class="fr-h3">Mes Dossiers Signature</h2>
            </div>
            <div class="fr-col">
              <a class="fr-btn create-content fr-btn--icon-left fr-icon-add-line" href="<?php echo $this->URL->GetMgmtMethod('MgtCreate'); ?>">
                Nouveau dossier
              </a>
            </div>
          </div>
        </header>

        <div class="fr-grid-row">
          <div class="fr-tabs fr-col-12">
            <?php include "snippets/tablist.html"; ?>

            <div id="contents-panel" class="fr-tabs__panel fr-tabs__panel--selected" role="tabpanel" aria-labelledby="contents-tab" tabindex="0">
              <?php if (count($this->DLIST)) : ?>
              <form class="os-table-wrapper__search">
                <div class="fr-grid-row fr-grid-row--gutters">
                  <?php /*
                  <?php if ( @$this->NOTYPFILT != 1 ) : ?>
                  <div class="fr-col">
                    <div class="fr-input-group">
                      <label for="searchSTS" class="fr-label">Trier par statut</label>
                      <div class="fr-input-wrap">
                        <select id="searchSTS" class="fr-input" onchange="GlobalFilter()">
                          <option value="---">tous</option>
                          <!-- <option value="signall" <?php echo (@$this->SFILTR['FS']=="signall")?"selected":""; ?>>signature -- tous</option> -->
                          <option value="zign1" <?php echo (@$this->SFILTR['FS']=="zign1")?"selected":""; ?>>signature en préparation</option>
                          <option value="zign2" <?php echo (@$this->SFILTR['FS']=="zign2")?"selected":""; ?>>signature en cours</option>
                          <option value="zign3" <?php echo (@$this->SFILTR['FS']=="zign3")?"selected":""; ?>>signature refusée</option>
                          <option value="zign4" <?php echo (@$this->SFILTR['FS']=="zign4")?"selected":""; ?>>signature effectuée</option>
                          <option value="zign5" <?php echo (@$this->SFILTR['FS']=="zign5")?"selected":""; ?>>signature partielle</option>
                        </select>
                      </div>
                    </div>
                  </div>
                  <?php endif; ?>
                  <?php */ ?>
                  <div class="fr-col fr-col-md-6 fr-col-lg-4">
                    <div class="fr-input-group">
                      <label for="searchSTS" class="fr-label">Recherche de dossier</label>
                      <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchDoc" placeholder="chercher dossier" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FD']; ?>">
                    </div>
                  </div>
                  <?php /*
                  <div class="fr-col">
                    <div class="fr-input-group">
                      <label for="searchSTS" class="fr-label">Recherche par date de modification</label>
                      <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchMod" placeholder="chercher date de modification" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FM']; ?>">
                    </div>
                  </div>
                  <div class="fr-col">
                    <div class="fr-input-group">
                      <label for="searchSTS" class="fr-label">Recherche par date de fin</label>
                      <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchEOL" placeholder="chercher date de fin" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FE']; ?>">
                    </div>
                  </div>
                  */ ?>

                </div>
              </form>

              <table id="dostable" class="table tablesorter">
                <thead>
                  <tr class="thead">
                    <th width="10%">
                      <div class="fr-checkbox-group fr-checkbox-group--sm">
                        <input id="masterCheck" type="checkbox" name="masterCheck" onclick="CheckOrUncheckAll('dostable')">
                        <label class="fr-label text-center" for="masterCheck">tout sélectionner</label>
                      </div>
                    </th>
                    <th width="30%">nom</th>
                    <th width="20%">statut</th>
                    <th width="10%">&nbsp;nombre de signataires</th>
                    <th width="10%">dernière modification</th>
                    <th width="10%">fin de vie</th>
                    <th width="10%" class="os-actions">actions</th>
                  </tr>
                </thead>
                <tbody>
                  <?php
                  include "tpl/func/disp_status.php";
                  foreach ($this->DLIST as $did => $pdata) : $mode =
                      $pdata['mode'];
                    $elem = $pdata['data'];
                    $stinf =
                      GetStatusInfo($elem); ?>
                    <tr class="datarow">
                      <td>
                        <div class="fr-checkbox-group fr-checkbox-group--sm">
                          <input type="checkbox" class="selchk" id="<?php echo $did; ?>" name="<?php echo $did; ?>">
                          <label class="fr-label" for="<?php echo $did; ?>">
                            <span class="hidden did">
                              <?php echo $did; ?>
                            </span>
                          </label>
                        </div>
                      </td>
                      <td>
                        <span class="dnam">
                          <a href="<?php echo $this->URL->GetMgmtMethodWithDID('View', $did); ?>">
                            <?php echo $elem['title']; ?>
                          </a>
                        </span>
                      </td>
                      <td>
                        <span class="hidden dsts">
                          <?php echo $stinf['sts1']; ?>
                        </span>
                        <?php echo $stinf['sts3']; ?>
                      </td>
                      <td>
                        <span class="">
                          <?php echo $elem['signercount'] ?? 0; ?>
                        </span>
                      </td>
                      <td>
                        <span class="dmod">
                          <?php echo $elem['modified']; ?>
                        </span>
                      </td>
                      <td>
                        <span class="deol">
                          <?php echo $elem['endoflife']; ?>
                        </span>
                      </td>

                      <td class="os-actions">
                        <div>
                        <?php /*
                          <a href="<?php echo $this->URL->GetMgmtMethodWithDID('View', $did); ?>" data-toggle="tooltip" data-placement="top" title="" target="doc" data-original-title="Visualiser" class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-icon-eye-line" title="Visualiser">
                            Visualiser
                          </a>
                          */ ?>
 
                          <button 
                              type="button" 
                              class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-icon-team-line view-signers-list" 
                              data-fr-opened="false" 
                              aria-controls="signers-list-modal" 
                              title="Voir la liste des signataires" 
                              onclick="ViewSignersList('<?php echo $did; ?>', `<?php echo $elem['title']; ?>`)">
                              Liste des signataires
                          </button>
                         
                          <?php if ($mode == 'writer') { ?>
                            <button type="button" data-toggle="tooltip" data-placement="top" data-fr-opened="false" aria-controls="delete-modal" data-original-title="Supprimer" class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-delete-line delete-content" title="Supprimer" onclick="DeleteModal('<?php echo $did; ?>','<?php echo $elem['title']; ?>')">
                              Supprimer
                            </button>
                          <?php } ?>
                        </div>
                      </td>
                    </tr>
                  <?php endforeach; ?>
                </tbody>
              </table>
            <?php else: ?>
            <div class="fr-alert fr-alert--info" role="alert">
              Aucun dossier
            </div>
            <?php endif; ?>



              <?php
              /** don't show sign button if no folder to sign */
              if (count($this->DLIST)) : ?>
                <p class="fr-mt-3w fr-mb-n3v"><strong>Actions sur les dossiers sélectionnés :</strong></p>
                <ul class="fr-btns-group fr-btns-group--inline-md fr-btns-group--icon-left fr-btns-group--sm fr-mt-3w fr-mb-n3w">
                  <li>
                    <!-- don't add aria-controls="multi-delete-modal", modal opening is handled in MultiDetachModal() -->
                    <button type="button" class="fr-btn fr-fi-delete-line" onclick="MultiDeleteModal()">Supprimer</button>
                  </li>
                </ul>

              <?php endif; ?>
            </div>

            <div id="drafts-panel" class="fr-tabs__panel" role="tabpanel" aria-labelledby="drafts" tabindex="0">
              <!-- données de test -->
              <button class="fr-btn" data-fr-opened="false" aria-controls="attach-modal">Attacher</button>

              <button class="fr-btn" data-fr-opened="false" aria-controls="empty-selection-modal">
                Modal sélection vide
              </button>
            </div>

            <div id="toSign-panel" class="fr-tabs__panel" role="tabpanel" aria-labelledby="toSign" tabindex="0">
              <!-- données de test -->
              <p>Contenu 3</p>
            </div>

            <div id="toGet-panel" class="fr-tabs__panel" role="tabpanel" aria-labelledby="toGet" tabindex="0">
              <!-- données de test -->
              <p>Contenu 4</p>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>
</main>

<!-- -------------------------------------------------------------------- -->

<!-- Delete Modal -->
<?php include "modals/delete_modal.html"; ?>

<!-- -------------------------------------------------------------------- -->

<!-- Multi Delete Modal -->
<?php include "modals/multi_delete_modal.html"; ?>

<!-- -------------------------------------------------------------------- -->

<!-- Signers List Modal -->
<?php include "modals/signers_list_modal.html"; ?>

<!-- -------------------------------------------------------------------- -->


<!-- Empty Selection Modal -->
<?php include "modals/empty_selection_modal.html"; ?>

<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="/pub/jsext/jquery-3.3.1.min.js"></script>
<script src="/pub/jsext/jquery_validate_fr.js"></script>
<script src="/pub/jsext/jquery.tablesorter.min.js"></script>

<!--  -->
<script src="/pub/jsint/multicheck.js"></script>
<script src="/pub/jsint/togglemodal.js"></script>
<script src="/pub/jsint/filter.js"></script>
<script src="/pub/jsint/sortstuff.js"></script>

<script>
  $(document).ready(function() {
    $("#dostable").tablesorter({
      headers: {
        0: {
          sorter: false
        },
        5: {
          sorter: false
        }
      },
      sortList: [
        [<?php echo $this->SVSORT; ?>]
      ]
    });
    GlobalFilter();
  });
</script>

<script>
  $('#dostable').on('sortEnd', function(event) {
    SortSave('MD', event.target.config.sortList);
  });
</script>

</body>

</html>
